Skip to navigation

Update Product Video

Updates a *Product Video.

Required Fields

  • none

Read-Only Fields

  • id

The Catalog API integrates with third-party YouTube, and you must load videos through YouTube. The YouTube Terms of Service and Google Privacy Policy apply, as indicated in our Privacy Policy and Terms of Service.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

idintegerRequired

The BigCommerce ID of the Video

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

The model for a PUT to update a video on a product.
titlestringOptional0-255 characters
The title for the video. If left blank, this will be filled in according to data on a host site.
descriptionstringOptional
The description for the video. If left blank, this will be filled in according to data on a host site.
sort_orderintegerOptional-2147483648-2147483647

The order in which the video will be displayed on the product page. Higher integers give the video a lower priority. When updating, if the video is given a lower priority, all videos with a sort_order the same as or greater than the videoʼs new sort_order value will have their sort_orders reordered.

typeenumOptional

The video type (a short name of a host site).

Allowed values:
idintegerOptional

The unique numeric ID of the product video; increments sequentially.

Response

OK
dataobjectOptional
A product video model.
metaobjectOptional
Response metadata.

Errors

404
Not Found Error